Lock FX rate for extended window
curl --request POST \
--url https://api.getsly.ai/v1/v1/quotes/fx/lock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_currency": "<string>",
"to_currency": "<string>",
"amount": "<string>",
"amount_side": "send",
"lock_duration_seconds": 3600
}
'import requests
url = "https://api.getsly.ai/v1/v1/quotes/fx/lock"
payload = {
"from_currency": "<string>",
"to_currency": "<string>",
"amount": "<string>",
"amount_side": "send",
"lock_duration_seconds": 3600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_currency: '<string>',
to_currency: '<string>',
amount: '<string>',
amount_side: 'send',
lock_duration_seconds: 3600
})
};
fetch('https://api.getsly.ai/v1/v1/quotes/fx/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rate": "<string>",
"send_amount": "<string>",
"send_currency": "<string>",
"receive_amount": "<string>",
"receive_currency": "<string>",
"fee": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"provider": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}Quotes
Lock FX rate for extended window
Enterprise feature — lock a rate for minutes-to-hours at a higher spread. Returns a quote-like token usable on transfers within the lock window.
POST
/
v1
/
quotes
/
fx
/
lock
Lock FX rate for extended window
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Body
application/json
Response
Locked
Show child attributes
Show child attributes
⌘I